# class Chef::Knife::CookbookSiteUnshare

### Public Instance Methods

run() click to toggle source

    # File lib/chef/knife/cookbook_site_unshare.rb, line 33
    def run
      @cookbook_name = @name_args[0]
      if @cookbook_name.nil?
        show_usage
        ui.fatal "You must provide the name of the cookbook to unshare"
        exit 1
      end

      confirm "Do you really want to unshare the cookbook #{@cookbook_name}"

      begin
        rest.delete_rest "http://cookbooks.opscode.com/api/v1/cookbooks/#{@name_args[0]}"
      rescue Net::HTTPServerException => e
        raise e unless e.message =~ /Forbidden/
        ui.error "Forbidden: You must be the maintainer of #{@cookbook_name} to unshare it."
        exit 1
      end

      ui.info "Unshared cookbook #{@cookbook_name}"
    end